#!/bin/bash

export Script_Dir="${0%/*}"
export Service_Name="ChronicallServer"
export Service_Display_Name="Chronicall Server"
export Pid="ChronicallServerPid"
export Test_Filename="ChronicallServerProcessAliveTest.txt"

#If pid file exists and isn't empty
if [ -s "$Script_Dir"/"$Pid" ]
then
	#Save process info
	ps aux | grep -v grep | grep `cat "$Script_Dir"/"$Pid"` > "$Script_Dir"/"$Test_Filename"
	#If process info exists
	if [ -s "$Script_Dir"/"$Test_Filename" ]
	then
		rm "$Script_Dir"/"$Test_Filename"
		echo "$Service_Display_Name" is already running
	else
		echo Starting "$Service_Display_Name"
		rm "$Script_Dir"/"$Test_Filename"
		ulimit -n 30000
		nohup "$Script_Dir"/"$Service_Name" start > /dev/null 2>&1&
		echo "$!" > "$Script_Dir"/"$Pid"
	fi
else
	echo Starting "$Service_Display_Name"
	ulimit -n 30000
	nohup "$Script_Dir"/"$Service_Name" start > /dev/null 2>&1&
	echo "$!" > "$Script_Dir"/"$Pid"
fi